Bug 25280 - Use modal confirmation when removing share from a list in the OPAC
Summary: Use modal confirmation when removing share from a list in the OPAC
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 25276
Blocks: 18117 25281
  Show dependency treegraph
 
Reported: 2020-04-24 14:47 UTC by Owen Leonard
Modified: 2020-05-08 22:29 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 25280: Use modal confirmation when removing share from a list in the OPAC (4.04 KB, patch)
2020-04-24 15:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25280: Use modal confirmation when removing share from a list in the OPAC (6.01 KB, patch)
2020-04-24 17:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25280: Use modal confirmation when removing share from a list in the OPAC (6.06 KB, patch)
2020-04-24 17:33 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25280: Use modal confirmation when removing share from a list in the OPAC (6.12 KB, patch)
2020-04-25 22:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-04-24 14:47:36 UTC
Bug 21870 added a framework for using a Bootstrap modal to replace generic JavaScript confirm dialogs. I would like to implement this in the OPAC lists interface for the process of removing a share.
Comment 1 Owen Leonard 2020-04-24 15:35:03 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-04-24 17:19:58 UTC
Created attachment 103701 [details] [review]
Bug 25280: Use modal confirmation when removing share from a list in the OPAC

This patch updates the process of removing a share from a list in the
OPAC so that the confirmation request shown to the user is a Bootstrap
modal instead of a plain JavaScript confirm dialog.

To test you should have the OpacAllowSharingPrivateLists enabled.

 - Log in to the OPAC as a user who has multiple private lists.
 - Share two or more lists with another user in the system.
 - Accept the list shares on behalf of the other user and log in to the
   OPAC as that user.
   - In the list of that user's lists, test the process of removing a
     share:
     - Clicking "Remove share" should trigger a modal which asks if you
       want to remove sharing. It should show the name of the list in
       question.
     - Test the funcionality of both the "No" and "Yes" options.
     - Confirm that the "Remove share" button works correctly for any of
       multiple lists.
   - View the contents of a list which has been shared with this user.
     - Test the "Remove share" button at the top of the list's contents.
       - The same confirmation dialog should be triggered.
Comment 3 Lucas Gass 2020-04-24 17:33:35 UTC
Created attachment 103702 [details] [review]
Bug 25280: Use modal confirmation when removing share from a list in the OPAC

This patch updates the process of removing a share from a list in the
OPAC so that the confirmation request shown to the user is a Bootstrap
modal instead of a plain JavaScript confirm dialog.

To test you should have the OpacAllowSharingPrivateLists enabled.

 - Log in to the OPAC as a user who has multiple private lists.
 - Share two or more lists with another user in the system.
 - Accept the list shares on behalf of the other user and log in to the
   OPAC as that user.
   - In the list of that user's lists, test the process of removing a
     share:
     - Clicking "Remove share" should trigger a modal which asks if you
       want to remove sharing. It should show the name of the list in
       question.
     - Test the funcionality of both the "No" and "Yes" options.
     - Confirm that the "Remove share" button works correctly for any of
       multiple lists.
   - View the contents of a list which has been shared with this user.
     - Test the "Remove share" button at the top of the list's contents.
       - The same confirmation dialog should be triggered.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 4 Katrin Fischer 2020-04-25 22:41:06 UTC
Created attachment 103714 [details] [review]
Bug 25280: Use modal confirmation when removing share from a list in the OPAC

This patch updates the process of removing a share from a list in the
OPAC so that the confirmation request shown to the user is a Bootstrap
modal instead of a plain JavaScript confirm dialog.

To test you should have the OpacAllowSharingPrivateLists enabled.

 - Log in to the OPAC as a user who has multiple private lists.
 - Share two or more lists with another user in the system.
 - Accept the list shares on behalf of the other user and log in to the
   OPAC as that user.
   - In the list of that user's lists, test the process of removing a
     share:
     - Clicking "Remove share" should trigger a modal which asks if you
       want to remove sharing. It should show the name of the list in
       question.
     - Test the funcionality of both the "No" and "Yes" options.
     - Confirm that the "Remove share" button works correctly for any of
       multiple lists.
   - View the contents of a list which has been shared with this user.
     - Test the "Remove share" button at the top of the list's contents.
       - The same confirmation dialog should be triggered.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2020-04-29 16:36:26 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-05-08 22:29:44 UTC
not backported to 19.11